# InputManager
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.legacy.vehicles.objects

## Class InputManager

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.legacy.vehicles.objects.InputManager

    public class InputManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`InputManager(boolean w, boolean a, boolean s, boolean d, boolean space)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isA()`
`boolean` `isD()`
`boolean` `isS()`
`boolean` `isSpace()`
`boolean` `isW()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InputManager

    public InputManager(boolean w,
                        boolean a,
                        boolean s,
                        boolean d,
                        boolean space)

### Method Detail

#### isW

    public boolean isW()

#### isA

    public boolean isA()

#### isS

    public boolean isS()

#### isD

    public boolean isD()

#### isSpace

    public boolean isSpace()